

createBriefingPrelude = function()

	briefingPrelude = 	{}	
	
	briefingPrelude.finished = BriefingPreludeFinished

		local page = 0

	--	page1
	
		page = page +1

		briefingPrelude[page] 					= 	{}
		briefingPrelude[page].title				= 	String.GenericKey("Mentor")
		briefingPrelude[page].text				=	String.Key("briefingPrelude[1].text")
		briefingPrelude[page].position			=	GetPosition("dario")
		briefingPrelude[page].dialogCamera 		= 	true

	--	page2

		page = page +1

		page_preludeCastle = page

		briefingPrelude[page] 					= 	{}
		briefingPrelude[page].title				= 	String.GenericKey("Mentor")
		briefingPrelude[page].text				=	String.Key("briefingPrelude[2].text")
		briefingPrelude[page].position			=	GetPosition("lionsDen")
		briefingPrelude[page].marker			=	ANIMATED_MARKER
		briefingPrelude[page].explore			=	2000			


	--	page3

		page = page +1

		page_preludeOutpost = page

		briefingPrelude[page] 					= 	{}
		briefingPrelude[page].title				= 	String.GenericKey("Mentor")
		briefingPrelude[page].text				=	String.Key("briefingPrelude[3].text")
		briefingPrelude[page].position			=	GetPosition("outpost") 
		briefingPrelude[page].marker			=	ANIMATED_MARKER
		briefingPrelude[page].explore			=	2000			
		
	--	page4

		page = page +1

		briefingPrelude[page] 					= 	{}
		briefingPrelude[page].title				= 	String.GenericKey("Mentor")
		briefingPrelude[page].text				=	String.Key("briefingPrelude[4].text")
		briefingPrelude[page].position			=	GetPosition("army1") 

	--	page5

		page = page +1

		page_preludeReinforcements = page

		briefingPrelude[page] 					= 	{}
		briefingPrelude[page].title				= 	String.GenericKey("Mentor")
		briefingPrelude[page].text				=	String.Key("briefingPrelude[5].text")
		briefingPrelude[page].position			=	GetPosition("deployEnd1")
		briefingPrelude[page].marker			=	STATIC_MARKER
		briefingPrelude[page].explore			=	1500			

	--	page6

		page = page +1

		briefingPrelude[page] 					= 	{}
		briefingPrelude[page].title				= 	String.GenericKey("Mentor")
		briefingPrelude[page].text				=	String.Key("briefingPrelude[6].text")
		briefingPrelude[page].position			=	GetPosition("IceAttack") 
		briefingPrelude[page].explore			=	2000

		page = page +1
		
		briefingPrelude[page]					=	{}
		briefingPrelude[page].title 			= 	"Mentor"
		briefingPrelude[page].text				= 	"Wahrscheinlich sind bereits Truppen auf dem Weg zu euch. @cr Macht euch für den Kampf  bereit!"


	--	page6

		page = page +1

		briefingPrelude[page] 					= 	{}
		briefingPrelude[page].title				= 	String.GenericKey("MissionObjectives")
		briefingPrelude[page].text				=	String.Key("briefingPrelude[7].text")
		briefingPrelude[page].position			=	GetPosition("dario")
		briefingPrelude[page].dialogCamera 		= 	true

	--	go!
	
		StartBriefing(briefingPrelude)

	end

function BriefingPreludeFinished()
	PlayerWaterAttackUA:AddCommandMove(GetPosition("castle"),false)
	PlayerWaterAttackUA:AddCommandWaitForIdle(false)
	PlayerWaterAttackUA:AddCommandMove(GetPosition("castle1"),false)
	PlayerWaterAttackUA:AddCommandWaitForIdle(false)
	PlayerWaterAttackUA:AddCommandLuaFunc(StartWaver2,false)
	
	PlayerLandAttackUA:AddCommandMove(GetPosition("castle"),false)
	PlayerLandAttackUA:AddCommandWaitForIdle(false)
	PlayerLandAttackUA:AddCommandMove(GetPosition("castle1"),false)
	PlayerLandAttackUA:AddCommandWaitForIdle(false)
	
	ResolveBriefing(briefingPrelude[6])
	--ResolveBriefing(briefingPrelude[3])
	ResolveBriefing(briefingPrelude[2])
	GUI.CreateMinimapMarker(GetPosition("deployEnd2").X,GetPosition("deployEnd2").Y,0)
	--GUI.CreateMinimapPulse(GetPosition("outpost").X,GetPosition("outpost").Y,0)
	GUI.CreateMinimapPulse(GetPosition("lionsDen").X,GetPosition("lionsDen").Y,3)
	Tools.ExploreArea(GetPosition("deployEnd2").X,GetPosition("deployEnd2").Y,15)
	outpostpos = GetPosition("outpost")
	InitInvisBuildings()
end